> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reelevant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read what a host surface needs to route and stamp a run on an experiment

Internal services only, signed for the company owning the host resource.



## OpenAPI

````yaml https://openapi.production.reelevant.io/v1/render/statistics get /experiments/{id}/runtime
openapi: 3.0.0
info:
  title: statistics
  version: unknown
  description: >-
    # Errors

    | Error code | Message | HTTP status code | Payload |

    | :--- | :--- | :--- | :--- |

    |
    9000,9001,9002,9003,9004,9006,9007,9008,9009,9010,9011,9012,9013,9014,9015,9016,9018,9019,9020,9021,9022,9023,9024,9025,9026,9027,9028,9029,9030,9031,9032,9033,9034,9035,9036,9037,9038,9039,9040,9043,9041,9042,9044
    | The experiment configuration is invalid | 422 | ```{"reason":"string"}```
    |
servers:
  - url: https://api.reelevant.com/v2/statistics/
    description: production
security: []
paths:
  /experiments/{id}/runtime:
    get:
      tags:
        - Experiments
      summary: |-
        Read what a host surface needs to route and stamp a run on an experiment

        Internal services only, signed for the company owning the host resource.
      operationId: get-runtime-experiment
      parameters:
        - name: id
          in: path
          schema:
            type: string
            pattern: ^[0-9a-fA-F]{24}$
          required: true
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - success
                    required:
                      - status
                    additionalProperties: false
                  - $ref: >-
                      #/components/schemas/InternalResponse_Union_type_holdout_unit_user__id_string_status_Union_draft_ready_scheduled_live_maturing_decided_inconclusive_archived_variants_Array_id_string_allocation_number_tagValueId_Union_undefined_string_baselineVariantId_string_outcome_Union_undefined_routingVariantId_string_systemTagKeyId_Union_undefined_string_type_continuous_unit_Union_user_display__id_string_status_Union_draft_ready_scheduled_live_maturing_decided_inconclusive_archived_variants_Array_id_string_allocation_number_tagValueId_Union_undefined_string_baselineVariantId_string_outcome_Union_undefined_routingVariantId_string_systemTagKeyId_Union_undefined_string
        '403':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/InternalResponse_'
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - fail
                      error_code:
                        $ref: '#/components/schemas/StatisticsErrorCode'
                      code:
                        type: number
                        enum:
                          - 403
                      message:
                        type: string
                        enum:
                          - >-
                            This experiment endpoint is available to internal
                            services signed for a company only
                      data:
                        type: object
                        properties: {}
                        additionalProperties: false
                    required:
                      - status
                      - error_code
                      - code
                      - message
                    additionalProperties: false
        '404':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/InternalResponse_'
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - fail
                      error_code:
                        $ref: '#/components/schemas/StatisticsErrorCode'
                      code:
                        type: number
                        enum:
                          - 404
                      message:
                        type: string
                        enum:
                          - Unable to find experiment
                      data:
                        type: object
                        properties:
                          id:
                            type: string
                        required:
                          - id
                        additionalProperties: false
                    required:
                      - status
                      - error_code
                      - code
                      - message
                    additionalProperties: false
      security:
        - password_auth: []
components:
  schemas:
    InternalResponse_Union_type_holdout_unit_user__id_string_status_Union_draft_ready_scheduled_live_maturing_decided_inconclusive_archived_variants_Array_id_string_allocation_number_tagValueId_Union_undefined_string_baselineVariantId_string_outcome_Union_undefined_routingVariantId_string_systemTagKeyId_Union_undefined_string_type_continuous_unit_Union_user_display__id_string_status_Union_draft_ready_scheduled_live_maturing_decided_inconclusive_archived_variants_Array_id_string_allocation_number_tagValueId_Union_undefined_string_baselineVariantId_string_outcome_Union_undefined_routingVariantId_string_systemTagKeyId_Union_undefined_string:
      type: object
      properties:
        program:
          type: string
        version:
          type: string
        datetime:
          type: string
        status:
          type: string
        code:
          type: number
        message:
          type: string
        data:
          oneOf:
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - holdout
                unit:
                  type: string
                  enum:
                    - user
                _id:
                  type: string
                status:
                  oneOf:
                    - type: string
                      enum:
                        - draft
                    - type: string
                      enum:
                        - ready
                    - type: string
                      enum:
                        - scheduled
                    - type: string
                      enum:
                        - live
                    - type: string
                      enum:
                        - maturing
                    - type: string
                      enum:
                        - decided
                    - type: string
                      enum:
                        - inconclusive
                    - type: string
                      enum:
                        - archived
                variants:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      allocation:
                        type: number
                      tagValueId:
                        type: string
                    required:
                      - id
                      - allocation
                    additionalProperties: false
                baselineVariantId:
                  type: string
                outcome:
                  type: object
                  properties:
                    routingVariantId:
                      type: string
                  required:
                    - routingVariantId
                  additionalProperties: false
                systemTagKeyId:
                  type: string
              required:
                - type
                - unit
                - _id
                - status
                - variants
                - baselineVariantId
              additionalProperties: false
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - continuous
                unit:
                  oneOf:
                    - type: string
                      enum:
                        - user
                    - type: string
                      enum:
                        - display
                _id:
                  type: string
                status:
                  oneOf:
                    - type: string
                      enum:
                        - draft
                    - type: string
                      enum:
                        - ready
                    - type: string
                      enum:
                        - scheduled
                    - type: string
                      enum:
                        - live
                    - type: string
                      enum:
                        - maturing
                    - type: string
                      enum:
                        - decided
                    - type: string
                      enum:
                        - inconclusive
                    - type: string
                      enum:
                        - archived
                variants:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      allocation:
                        type: number
                      tagValueId:
                        type: string
                    required:
                      - id
                      - allocation
                    additionalProperties: false
                baselineVariantId:
                  type: string
                outcome:
                  type: object
                  properties:
                    routingVariantId:
                      type: string
                  required:
                    - routingVariantId
                  additionalProperties: false
                systemTagKeyId:
                  type: string
              required:
                - type
                - unit
                - _id
                - status
                - variants
                - baselineVariantId
              additionalProperties: false
      required:
        - program
        - version
        - datetime
        - status
        - message
        - data
      additionalProperties: false
    InternalResponse_:
      type: object
      properties:
        program:
          type: string
        version:
          type: string
        datetime:
          type: string
        status:
          type: string
        code:
          type: number
        message:
          type: string
        data:
          type: object
          properties: {}
          additionalProperties: false
      required:
        - program
        - version
        - datetime
        - status
        - message
        - data
      additionalProperties: false
    StatisticsErrorCode:
      type: number
      enum:
        - 9000
        - 9001
        - 9002
        - 9003
        - 9004
        - 9006
        - 9007
        - 9008
        - 9009
        - 9010
        - 9011
        - 9012
        - 9013
        - 9014
        - 9015
        - 9016
        - 9018
        - 9019
        - 9020
        - 9021
        - 9022
        - 9023
        - 9024
        - 9025
        - 9026
        - 9027
        - 9028
        - 9029
        - 9030
        - 9031
        - 9032
        - 9033
        - 9034
        - 9035
        - 9036
        - 9037
        - 9038
        - 9039
        - 9040
        - 9043
        - 9041
        - 9042
        - 9044
  securitySchemes:
    password_auth:
      type: oauth2
      flows:
        password:
          tokenUrl: https://api.reelevant.com/v2/auth/token
          refreshUrl: https://api.reelevant.com/v2/auth/token
          scopes: {}

````